Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Variables
kccompress.h File Reference

data compressor and decompressor More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`

## Classes

class | kyotocabinet::Compressor
| Interfrace of data compression and decompression. More...
class | kyotocabinet::ZLIB
| ZLIB compressor. More...
class | kyotocabinet::LZO
| LZO compressor. More...
class | kyotocabinet::LZMA
| LZMA compressor. More...
class | kyotocabinet::ZLIBCompressor< MODE >
| Compressor with ZLIB. More...
class | kyotocabinet::LZOCompressor< MODE >
| Compressor with LZO. More...
class | kyotocabinet::LZMACompressor< MODE >
| Compressor with LZMA. More...
class | kyotocabinet::ArcfourCompressor
| Compressor with the Arcfour cipher. More...

## Namespaces

namespace | kyotocabinet
| All symbols of Kyoto Cabinet.

## Variables

ZLIBCompressor< ZLIB::RAW > *const | kyotocabinet::ZLIBRAWCOMP
| Prepared pointer of the compressor with ZLIB raw mode.

## Detailed Description

data compressor and decompressor